NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Selection Class Reference

Defines an interface object for executing selection operations
To obtain an instance of this class, refer to NXOpen::UI

Created in NX3.0.0. More...

Classes

struct  MaskTriple
 Used in selection methods to set the types of objects that are selectable. More...
 
struct  SelectionDescriptor
 For a rectangle deselection, the fields Deselection , MultipleSelection , Rectangle bits would be set. More...
 

Public Types

enum  DialogResponse {
  DialogResponseNone, DialogResponsePick, DialogResponseOk, DialogResponseCancel,
  DialogResponseBack, DialogResponseApply, DialogResponseHelp
}
 Specify the user response for general dialogs. More...
 
typedef NXOpen::Callback3< int,
NXOpen::NXObject
*, NXOpen::Selection::MaskTriple
*, NXOpen::SelectionHandle * > 
FilterCallback
 It is an optional callback which the user can provide to perform application specific filtering when selecting objects. More...
 
typedef NXOpen::Callback3< int,
NXOpen::TaggedObject
*, NXOpen::Selection::MaskTriple
*, NXOpen::SelectionHandle * > 
FilterTaggedObjectCallback
 It is an optional callback which the user can provide to perform application specific filtering when selecting tagged objects. More...
 
enum  Response {
  ResponseBack = 1, ResponseCancel, ResponseOk, ResponseObjectSelectedByName,
  ResponseObjectSelected
}
 Specify the user response for the selection operation. More...
 
enum  SelectionAction {
  SelectionActionEnableAll, SelectionActionEnableSpecific, SelectionActionDisableSpecific, SelectionActionClearAndEnableSpecific,
  SelectionActionAllAndDisableSpecific
}
 Indicates the type of action to perform when an object is selected. More...
 
typedef NXOpen::Callback3< int,
std::vector< NXOpen::NXObject * >
, std::vector
< NXOpen::NXObject * >
, NXOpen::SelectionHandle * > 
SelectionCallback
 It is an optional callback which the user can provide to customize his selection
More...
 
enum  SelectionFeatureType { SelectionFeatureTypeBrowsable, SelectionFeatureTypeNoBooleanUdf }
 Specify the type of features to select. More...
 
enum  SelectionScope { SelectionScopeUseDefault, SelectionScopeWorkPart, SelectionScopeAnyInAssembly = 3, SelectionScopeWorkPartAndOccurrence }
 Indicates the scope for selecting objects. More...
 
enum  SelectionType {
  SelectionTypeAll, SelectionTypeFeatures, SelectionTypeCurves, SelectionTypeFaces,
  SelectionTypeEdges, SelectionTypeCurvesAndEdges
}
 Indicates the general class of object to filter selection. More...
 
typedef NXOpen::Callback3< int,
std::vector
< NXOpen::TaggedObject * >
, std::vector
< NXOpen::TaggedObject * >
, NXOpen::SelectionHandle * > 
TaggedObjectSelectionCallback
 It is an optional callback which the user can provide to customize his selection of tagged objects
Created in NX7.5.4. More...
 
enum  UistylerSelectionType {
  UistylerSelectionTypeInactiveSelection, UistylerSelectionTypeSingleSelection, UistylerSelectionTypeSingleDeselection, UistylerSelectionTypeRobustSelection,
  UistylerSelectionTypeSinglePosition, UistylerSelectionTypeRectanglePosition
}
 Indicates the general class of object to filter selection. More...
 

Public Member Functions

void AddToSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::NXObject * > &objs, bool highlightFlag)
 Add objects to the selection list. More...
 
void AddToTaggedObjectsSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::TaggedObject * > &objs, bool highlightFlag)
 Add objects to the selection list. More...
 
NXOpen::Point3d AskSelectionCursorPosition (NXOpen::SelectionHandle *select, NXOpen::View **view)
 Returns the view and absolute coordinates of the cursor position for the associated selection. More...
 
NXOpen::Selection::SelectionDescriptor AskSelectionDescriptor (NXOpen::SelectionHandle *select)
 Returns the information in Selection::SelectionDescriptor describing the selection that was just performed. More...
 
int AskSelectionListCount (NXOpen::SelectionHandle *select)
 Returns the number of objects currently selected. More...
 
void AskSelectionObjectList (NXOpen::SelectionHandle *select, std::vector< NXOpen::NXObject * > &objects)
 Returns the number of objects selected and a pointer to an array of tags of the objects selected. More...
 
NXOpen::ViewAskSelectionRectanglePosition (NXOpen::SelectionHandle *select, NXOpen::Point3d *position1, NXOpen::Point3d *position2, NXOpen::Point3d *position3, NXOpen::Point3d *position4)
 Returns the absolute coordinates of the rectangle cursor positions. More...
 
void AskSelectionTaggedObjectList (NXOpen::SelectionHandle *select, std::vector< NXOpen::TaggedObject * > &objects)
 Returns the number of tagged objects selected and a pointer to an array of tags of the objects selected. More...
 
void ClearGlobalSelectionList ()
 Clears the Global Selection list
Created in NX11.0.0. More...
 
NXOpen::SelectionSubscriberCreateSelectionSubscriber ()
 Creates a Selection Subscriber. More...
 
int GetNumSelectedObjects ()
 Returns the number of objects currently selected. More...
 
NXOpen::NXObjectGetSelectedObject (int index)
 Returns the n'th object on the selection list. More...
 
NXOpen::TaggedObjectGetSelectedTaggedObject (int index)
 Returns the n'th tagged object on the selection list. More...
 
bool GetSelectionStatusOfUserDefinedClass (NXOpen::UserDefinedObjects::UserDefinedClass *udoClass)
 Gets whether or not the user defined class is available for selection. More...
 
bool IsGlobalSelectionActive ()
 Inquires whether or not Global Selection is active (no active dialog) More...
 
bool IsObjectInSelectionList (NXOpen::SelectionHandle *select, NXOpen::TaggedObject *object)
 Inquires if object is selected. More...
 
void RemoveAllFromSelectionList (NXOpen::SelectionHandle *select, bool unhighlight)
 Removes all the objects from the selection list and optionally unhighlights them. More...
 
void RemoveFromSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::NXObject * > &objs, bool unhighlight)
 Removes objects from the selection list. More...
 
void RemoveTaggedObjectsFromSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::TaggedObject * > &objs, bool unhighlight)
 Removes tagged objects from the selection list. More...
 
void RequestDeselections (const std::vector< NXOpen::TaggedObject * > &deselectList)
 Submit a request to the current selection owner to deselect the given objects. More...
 
void RequestSelections (const std::vector< NXOpen::TaggedObject * > &selectList)
 Submit a request to the current selection owner to select the given objects. More...
 
NXOpen::Selection::Response SelectFeatures (const NXString &message, NXOpen::Selection::SelectionFeatureType featType, std::vector< NXOpen::Features::Feature * > &featureArray)
 Select features. More...
 
NXOpen::Selection::Response SelectFeatures (const char *message, NXOpen::Selection::SelectionFeatureType featType, std::vector< NXOpen::Features::Feature * > &featureArray)
 Select features. More...
 
NXOpen::Selection::Response SelectObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::NXObject **object, NXOpen::Point3d *cursor)
 Select single object. More...
 
NXOpen::Selection::Response SelectObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::NXObject **object, NXOpen::Point3d *cursor)
 Select single object. More...
 
NXOpen::Selection::Response SelectObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor)
 Select single object using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor)
 Select single object using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor)
 Select single object using filter defined by selection type. More...
 
NXOpen::Selection::Response SelectObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor)
 Select single object using filter defined by selection type. More...
 
NXOpen::Selection::Response SelectObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::NXObject * > &objectArray)
 Select objects. More...
 
NXOpen::Selection::Response SelectObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::NXObject * > &objectArray)
 Select objects. More...
 
NXOpen::Selection::Response SelectObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::NXObject * > &objectArray)
 Select objects using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::NXObject * > &objectArray)
 Select objects using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::NXObject * > &objectArray)
 Select objects using filter defined by selection type. More...
 
NXOpen::Selection::Response SelectObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::NXObject * > &objectArray)
 Select objects using filter defined by selection type. More...
 
NXOpen::Selection::DialogResponse SelectScreenPosition (const NXString &message, NXOpen::View **object, NXOpen::Point3d *screenPosition)
 Select screen position on graphics display. More...
 
NXOpen::Selection::DialogResponse SelectScreenPosition (const char *message, NXOpen::View **object, NXOpen::Point3d *screenPosition)
 Select screen position on graphics display. More...
 
NXOpen::Selection::Response SelectTaggedObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor)
 Select single tagged object. More...
 
NXOpen::Selection::Response SelectTaggedObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor)
 Select single tagged object. More...
 
NXOpen::Selection::Response SelectTaggedObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor)
 Select single tagged object using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectTaggedObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor)
 Select single tagged object using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectTaggedObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor)
 Select single tagged object using filter defined by selection type. More...
 
NXOpen::Selection::Response SelectTaggedObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor)
 Select single tagged object using filter defined by selection type. More...
 
NXOpen::Selection::Response SelectTaggedObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::TaggedObject * > &objectArray)
 Select tagged objects. More...
 
NXOpen::Selection::Response SelectTaggedObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::TaggedObject * > &objectArray)
 Select tagged objects. More...
 
NXOpen::Selection::Response SelectTaggedObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::TaggedObject * > &objectArray)
 Select tagged objects using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectTaggedObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::TaggedObject * > &objectArray)
 Select tagged objects using filter defined by mask triples. More...
 
NXOpen::Selection::Response SelectTaggedObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::TaggedObject * > &objectArray)
 Select tagged objects using filter defined by selection type. More...
 
NXOpen::Selection::Response SelectTaggedObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::TaggedObject * > &objectArray)
 Select tagged objects using filter defined by selection type. More...
 
void SetSelectionCallbacks (NXOpen::SelectionHandle *select, const NXOpen::Selection::FilterCallback &filterproc, const NXOpen::Selection::SelectionCallback &selcb)
 Specify selection filter callback for additional filtering based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed. More...
 
void SetSelectionMask (NXOpen::SelectionHandle *select, NXOpen::Selection::SelectionAction action, const std::vector< NXOpen::Selection::MaskTriple > &maskArray)
 Sets the types of objects that are selectable. More...
 
void SetSelectionStatusOfUserDefinedClass (NXOpen::UserDefinedObjects::UserDefinedClass *udoClass, bool selectionStatus)
 Sets whether or not the user defined class is available for selection. More...
 
void SetSelectType (NXOpen::SelectionHandle *select, NXOpen::Selection::UistylerSelectionType type)
 Sets the selection type. More...
 
void SetTaggedObjectSelectionCallbacks (NXOpen::SelectionHandle *select, const NXOpen::Selection::FilterTaggedObjectCallback &filterproc, const NXOpen::Selection::TaggedObjectSelectionCallback &selcb)
 Specify selection filter callback for additional filtering of tagged objects based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Defines an interface object for executing selection operations
To obtain an instance of this class, refer to NXOpen::UI

Created in NX3.0.0.


Member Typedef Documentation

It is an optional callback which the user can provide to perform application specific filtering when selecting objects.


Deprecated:
Deprecated in NX8.0.0. Use NXOpen::Selection::FilterTaggedObjectCallback instead


Created in NX5.0.0.

License requirements : None

It is an optional callback which the user can provide to perform application specific filtering when selecting tagged objects.


Created in NX7.5.4.

License requirements : None

It is an optional callback which the user can provide to customize his selection

Deprecated:
Deprecated in NX8.0.0.

Use NXOpen::Selection::TaggedObjectSelectionCallback instead


Created in NX5.0.0.

License requirements : None

It is an optional callback which the user can provide to customize his selection of tagged objects
Created in NX7.5.4.



License requirements : None

Member Enumeration Documentation

Specify the user response for general dialogs.

Enumerator
DialogResponseNone 

No Response.

DialogResponsePick 

User picked object on screen.

DialogResponseOk 

User selected Ok.

DialogResponseCancel 

User selected Cancel.

DialogResponseBack 

User selected Back (if applicable)

DialogResponseApply 

User selected Apply.

DialogResponseHelp 

User selected Help.

Specify the user response for the selection operation.

Enumerator
ResponseBack 

User selected Back.

ResponseCancel 

User selected Cancel.

ResponseOk 

User selected Ok.

ResponseObjectSelectedByName 

User selected object by name.

ResponseObjectSelected 

User selected an object.

Indicates the type of action to perform when an object is selected.

Enumerator
SelectionActionEnableAll 

Include objects in selection.

SelectionActionEnableSpecific 

Include selected objects in selection.

SelectionActionDisableSpecific 

Remove selected objects from selection.

SelectionActionClearAndEnableSpecific 

Clear selection and include selected objects.

SelectionActionAllAndDisableSpecific 

Select all objects except for selected objects.

Specify the type of features to select.

Enumerator
SelectionFeatureTypeBrowsable 

Select all browsable features.

SelectionFeatureTypeNoBooleanUdf 

Select all features except boolean and udf features.

Indicates the scope for selecting objects.

Enumerator
SelectionScopeUseDefault 

Use the default selection scope.

SelectionScopeWorkPart 

Use the work part.

SelectionScopeAnyInAssembly 

Use any occurrence in the assembly.

SelectionScopeWorkPartAndOccurrence 

Use the work part or any occurrence.

Indicates the general class of object to filter selection.

Enumerator
SelectionTypeAll 

Filter to select all object types.

SelectionTypeFeatures 

Filter to select all feature types.

SelectionTypeCurves 

Filter to select all curve types.

SelectionTypeFaces 

Filter to select all face types.

SelectionTypeEdges 

Filter to select all edge types.

SelectionTypeCurvesAndEdges 

Filter to select all curve and edge types.

Indicates the general class of object to filter selection.

Enumerator
UistylerSelectionTypeInactiveSelection 

sets selection inactive until this function is called again

UistylerSelectionTypeSingleSelection 

allows single select

UistylerSelectionTypeSingleDeselection 

single deselect

UistylerSelectionTypeRobustSelection 

reselect last

UistylerSelectionTypeSinglePosition 

the position is returned if no object is selected with the single select gesture

UistylerSelectionTypeRectanglePosition 

the position is returned if no object is selected with the single select gesture

Member Function Documentation

void NXOpen::Selection::AddToSelectionList ( NXOpen::SelectionHandle select,
const std::vector< NXOpen::NXObject * > &  objs,
bool  highlightFlag 
)

Add objects to the selection list.

Any objects already in the selection list are ignored. Use this function with UIStyler dialogs. You can call this from the constructor callback/selection initialization procedure to begin the dialog with objects already selected. The user can then review these objects, and if desired, deselect them.

The application selection callback can also call this function to add other objects to the selection list based on the objects(s) just selected. The selection filter procedure cannot call this function. Based on the object(s) just selected, other objects may need to be selected. For example, all edges of the selected face or all faces tangent to the selected face.


Deprecated:
Deprecated in NX8.0.0. Use Selection::AddToTaggedObjectsSelectionList instead


Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
objsObjects to be added in the selection list
highlightFlagIf true, highlight objects
void NXOpen::Selection::AddToTaggedObjectsSelectionList ( NXOpen::SelectionHandle select,
const std::vector< NXOpen::TaggedObject * > &  objs,
bool  highlightFlag 
)

Add objects to the selection list.

Any objects already in the selection list are ignored. Use this function with UIStyler dialogs. You can call this from the constructor callback/selection initialization procedure to begin the dialog with objects already selected. The user can then review these objects, and if desired, deselect them.

The application selection callback can also call this function to add other objects to the selection list based on the objects(s) just selected. The selection filter procedure cannot call this function. Based on the object(s) just selected, other objects may need to be selected. For example, all edges of the selected face or all faces tangent to the selected face.


Created in NX7.5.4.

License requirements : None

Parameters
selectSelection handle
objsObjects to be added in the selection list
highlightFlagIf true, highlight objects
NXOpen::Point3d NXOpen::Selection::AskSelectionCursorPosition ( NXOpen::SelectionHandle select,
NXOpen::View **  view 
)

Returns the view and absolute coordinates of the cursor position for the associated selection.

If an object was selected, the view returned is the view in which the object was selected. For single position, the view is the view of the cursor. If the object was selected by name, view = NULL and the cursor position is undefined.

Returns

Created in NX5.0.0.

License requirements : None
Parameters
selectSelection handle
viewview
NXOpen::Selection::SelectionDescriptor NXOpen::Selection::AskSelectionDescriptor ( NXOpen::SelectionHandle select)

Returns the information in Selection::SelectionDescriptor describing the selection that was just performed.

Returns

Created in NX5.0.0.

License requirements : None
Parameters
selectselect
int NXOpen::Selection::AskSelectionListCount ( NXOpen::SelectionHandle select)

Returns the number of objects currently selected.

Use this function with UIStyler dialogs.

Returns
Count of objects selected
Created in NX5.0.0.

License requirements : None
Parameters
selectSelection handle
void NXOpen::Selection::AskSelectionObjectList ( NXOpen::SelectionHandle select,
std::vector< NXOpen::NXObject * > &  objects 
)

Returns the number of objects selected and a pointer to an array of tags of the objects selected.

Use this function with UIStyler dialogs.

Deprecated:
Deprecated in NX8.0.0. Use Selection::AskSelectionTaggedObjectList instead


Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
objectsSelected objects.
NXOpen::View* NXOpen::Selection::AskSelectionRectanglePosition ( NXOpen::SelectionHandle select,
NXOpen::Point3d position1,
NXOpen::Point3d position2,
NXOpen::Point3d position3,
NXOpen::Point3d position4 
)

Returns the absolute coordinates of the rectangle cursor positions.

The view that returns is the view of the button down position.

button down position - is the position where you press and hold mouse button 1. button up position - is the position where you release mouse button 1.

Pos1 and Pos2 are the absolute coordinates of the button down and button up positions respectively. Pos3 is the absolute coordinates of the rectangle corner which, as viewed on the screen, is horizontal with pos1. Pos4 is the absolute coordinates of the rectangle corner which, as viewed on the screen, is horizontal with pos2. Returns an error if the last gesture was not rectangle.

Returns
View of button down position
Created in NX5.0.0.

License requirements : None
Parameters
selectSelection handle
position1Absolute coordinates of the button down position
position2Absolute coordinates of the button up position
position3Absolute coordinates of corner of screen rectangle which is horizontal with button down position
position4Absolute coordinates of corner of screen rectangle which is horizontal with button up position
void NXOpen::Selection::AskSelectionTaggedObjectList ( NXOpen::SelectionHandle select,
std::vector< NXOpen::TaggedObject * > &  objects 
)

Returns the number of tagged objects selected and a pointer to an array of tags of the objects selected.

Use this function with UIStyler dialogs.
Created in NX7.5.4.

License requirements : None

Parameters
selectSelection handle
objectsSelected objects.
void NXOpen::Selection::ClearGlobalSelectionList ( )

Clears the Global Selection list
Created in NX11.0.0.



License requirements : None

NXOpen::SelectionSubscriber* NXOpen::Selection::CreateSelectionSubscriber ( )

Creates a Selection Subscriber.

Returns

Created in NX11.0.0.

License requirements : None
int NXOpen::Selection::GetNumSelectedObjects ( )

Returns the number of objects currently selected.

Returns
The number of objects currently selected
Created in NX3.0.0.

License requirements : None
NXOpen::NXObject* NXOpen::Selection::GetSelectedObject ( int  index)

Returns the n'th object on the selection list.

Returns
The object at the given position on the selection list. Returns NULL if the index parameter is greater than the length of the list
Deprecated:
Deprecated in NX8.0.0. Use Selection::GetSelectedTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
indexThe index. Should be between 0 and GetNumSelectedObjects
NXOpen::TaggedObject* NXOpen::Selection::GetSelectedTaggedObject ( int  index)

Returns the n'th tagged object on the selection list.

Returns
The object at the given position on the selection list. Returns NULL if the index parameter is greater than the length of the list
Created in NX7.5.4.

License requirements : None
Parameters
indexThe index. Should be between 0 and GetNumSelectedObjects
bool NXOpen::Selection::GetSelectionStatusOfUserDefinedClass ( NXOpen::UserDefinedObjects::UserDefinedClass udoClass)

Gets whether or not the user defined class is available for selection.

Returns
Allow the selection of this UserDefinedClass
Created in NX5.0.0.

License requirements : None
Parameters
udoClassThe UserDefinedClass in question
bool NXOpen::Selection::IsGlobalSelectionActive ( )

Inquires whether or not Global Selection is active (no active dialog)

Returns
True if Global Selection is active (no active dialog)
Created in NX11.0.0.

License requirements : None
bool NXOpen::Selection::IsObjectInSelectionList ( NXOpen::SelectionHandle select,
NXOpen::TaggedObject object 
)

Inquires if object is selected.

Use this function with UIStyler dialogs.

Returns
If true, object is in the selection list, else false.
Created in NX5.0.0.

License requirements : None
Parameters
selectSelection handle
objectObject
void NXOpen::Selection::RemoveAllFromSelectionList ( NXOpen::SelectionHandle select,
bool  unhighlight 
)

Removes all the objects from the selection list and optionally unhighlights them.

Use this function with UIStyler dialogs.


Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
unhighlightIf true, unhighlight objects
void NXOpen::Selection::RemoveFromSelectionList ( NXOpen::SelectionHandle select,
const std::vector< NXOpen::NXObject * > &  objs,
bool  unhighlight 
)

Removes objects from the selection list.

Use this function with UIStyler dialogs. It can be called from the selection callback. It cannot be called from the selection filter procedure.

If any of the objects are not in the list, an error is returned and NO objects are removed from the list.

It could be called by the selection callback to remove objects from the selection list. For example, based on objects just deselected, the application may need to remove other associated objects from the selection list.


Deprecated:
Deprecated in NX8.0.0. Use Selection::RemoveTaggedObjectsFromSelectionList instead


Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
objsArray of object
unhighlightIf true, unhighlight objects
void NXOpen::Selection::RemoveTaggedObjectsFromSelectionList ( NXOpen::SelectionHandle select,
const std::vector< NXOpen::TaggedObject * > &  objs,
bool  unhighlight 
)

Removes tagged objects from the selection list.

Use this function with UIStyler dialogs. It can be called from the selection callback. It cannot be called from the selection filter procedure.

If any of the objects are not in the list, an error is returned and NO objects are removed from the list.

It could be called by the selection callback to remove objects from the selection list. For example, based on objects just deselected, the application may need to remove other associated objects from the selection list.


Created in NX7.5.4.

License requirements : None

Parameters
selectSelection handle
objsArray of object
unhighlightIf true, unhighlight objects
void NXOpen::Selection::RequestDeselections ( const std::vector< NXOpen::TaggedObject * > &  deselectList)

Submit a request to the current selection owner to deselect the given objects.

Note that the selection owner may not allow some objects to be deselected.
Created in NX11.0.0.

License requirements : None

Parameters
deselectListdeselectlist
void NXOpen::Selection::RequestSelections ( const std::vector< NXOpen::TaggedObject * > &  selectList)

Submit a request to the current selection owner to select the given objects.

Note that the selection owner may not allow some objects to be selected.
Created in NX11.0.0.

License requirements : None

Parameters
selectListselectlist
NXOpen::Selection::Response NXOpen::Selection::SelectFeatures ( const NXString message,
NXOpen::Selection::SelectionFeatureType  featType,
std::vector< NXOpen::Features::Feature * > &  featureArray 
)

Select features.

Returns
Ok, Back, or Cancel
Created in NX3.0.0.

License requirements : None
Parameters
messageCue line message to display
featTypeThe types of features that are selectable
featureArrayThe selected features
NXOpen::Selection::Response NXOpen::Selection::SelectFeatures ( const char *  message,
NXOpen::Selection::SelectionFeatureType  featType,
std::vector< NXOpen::Features::Feature * > &  featureArray 
)

Select features.

Returns
Ok, Back, or Cancel
Created in NX3.0.0.

License requirements : None
Parameters
messageCue line message to display
featTypeThe types of features that are selectable
featureArrayThe selected features
NXOpen::Selection::Response NXOpen::Selection::SelectObject ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen::NXObject **  object,
NXOpen::Point3d cursor 
)

Select single object.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectObject ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen::NXObject **  object,
NXOpen::Point3d cursor 
)

Select single object.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectObject ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
NXOpen::NXObject **  object,
NXOpen::Point3d cursor 
)

Select single object using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectObject ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
NXOpen::NXObject **  object,
NXOpen::Point3d cursor 
)

Select single object using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectObject ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
NXOpen::NXObject **  object,
NXOpen::Point3d cursor 
)

Select single object using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types of objects that can be selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectObject ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
NXOpen::NXObject **  object,
NXOpen::Point3d cursor 
)

Select single object using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types of objects that can be selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectObjects ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
std::vector< NXOpen::NXObject * > &  objectArray 
)

Select objects.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObjects instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectObjects ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
std::vector< NXOpen::NXObject * > &  objectArray 
)

Select objects.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObjects instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectObjects ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
std::vector< NXOpen::NXObject * > &  objectArray 
)

Select objects using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectObjects ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
std::vector< NXOpen::NXObject * > &  objectArray 
)

Select objects using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectObjects ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
std::vector< NXOpen::NXObject * > &  objectArray 
)

Select objects using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types that can be selected
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectObjects ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
std::vector< NXOpen::NXObject * > &  objectArray 
)

Select objects using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Deprecated:
Deprecated in NX8.0.0. Use Selection::SelectTaggedObject instead


Created in NX3.0.0.

License requirements : None

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types that can be selected
objectArrayThe selected objects
NXOpen::Selection::DialogResponse NXOpen::Selection::SelectScreenPosition ( const NXString message,
NXOpen::View **  object,
NXOpen::Point3d screenPosition 
)

Select screen position on graphics display.

Returns
Pick, Back, or Cancel
Created in NX3.0.0.

License requirements : None
Parameters
messageCue line message to display
objectView of selected screen location
screenPositionSelected screen position
NXOpen::Selection::DialogResponse NXOpen::Selection::SelectScreenPosition ( const char *  message,
NXOpen::View **  object,
NXOpen::Point3d screenPosition 
)

Select screen position on graphics display.

Returns
Pick, Back, or Cancel
Created in NX3.0.0.

License requirements : None
Parameters
messageCue line message to display
objectView of selected screen location
screenPositionSelected screen position
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen::TaggedObject **  object,
NXOpen::Point3d cursor 
)

Select single tagged object.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen::TaggedObject **  object,
NXOpen::Point3d cursor 
)

Select single tagged object.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
NXOpen::TaggedObject **  object,
NXOpen::Point3d cursor 
)

Select single tagged object using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
NXOpen::TaggedObject **  object,
NXOpen::Point3d cursor 
)

Select single tagged object using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
NXOpen::TaggedObject **  object,
NXOpen::Point3d cursor 
)

Select single tagged object using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types of objects that can be selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
NXOpen::TaggedObject **  object,
NXOpen::Point3d cursor 
)

Select single tagged object using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types of objects that can be selected
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
std::vector< NXOpen::TaggedObject * > &  objectArray 
)

Select tagged objects.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
std::vector< NXOpen::TaggedObject * > &  objectArray 
)

Select tagged objects.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
std::vector< NXOpen::TaggedObject * > &  objectArray 
)

Select tagged objects using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
NXOpen::Selection::SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray,
std::vector< NXOpen::TaggedObject * > &  objectArray 
)

Select tagged objects using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects ( const NXString message,
const NXString title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
std::vector< NXOpen::TaggedObject * > &  objectArray 
)

Select tagged objects using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types that can be selected
objectArrayThe selected objects
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects ( const char *  message,
const char *  title,
NXOpen::Selection::SelectionScope  scope,
bool  keepHighlighted,
const std::vector< NXOpen::Selection::SelectionType > &  typeArray,
std::vector< NXOpen::TaggedObject * > &  objectArray 
)

Select tagged objects using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.

Returns
Ok, Back, or Cancel
Created in NX7.5.4.

License requirements : None
Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types that can be selected
objectArrayThe selected objects
void NXOpen::Selection::SetSelectionCallbacks ( NXOpen::SelectionHandle select,
const NXOpen::Selection::FilterCallback filterproc,
const NXOpen::Selection::SelectionCallback selcb 
)

Specify selection filter callback for additional filtering based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed.

Both the filter callback and the selection callback are passed object to SelectionHandle which can be used to inquire other selection data or modify selection. This selection handle object is no longer valid after the filter callback or selection callback is exited.


Deprecated:
Deprecated in NX8.0.0. Use NXOpen::Selection::SetTaggedObjectSelectionCallbacks instead


Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
filterprocFilter callback for additional user specific filtering.
selcbSelection callback for application specific processing.
void NXOpen::Selection::SetSelectionMask ( NXOpen::SelectionHandle select,
NXOpen::Selection::SelectionAction  action,
const std::vector< NXOpen::Selection::MaskTriple > &  maskArray 
)

Sets the types of objects that are selectable.

If this function is not called to set the mask, then the default mask is all standard types.


Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
actionMask action
maskArrayMask triples
void NXOpen::Selection::SetSelectionStatusOfUserDefinedClass ( NXOpen::UserDefinedObjects::UserDefinedClass udoClass,
bool  selectionStatus 
)

Sets whether or not the user defined class is available for selection.


Created in NX5.0.0.

License requirements : None

Parameters
udoClassThe UserDefinedClass in question
selectionStatusAllow the selection of this UserDefinedClass
void NXOpen::Selection::SetSelectType ( NXOpen::SelectionHandle select,
NXOpen::Selection::UistylerSelectionType  type 
)

Sets the selection type.

It can be called from a callback to change the type of selection associated with the dialog.
Created in NX5.0.0.

License requirements : None

Parameters
selectSelection handle
typeSelection type
void NXOpen::Selection::SetTaggedObjectSelectionCallbacks ( NXOpen::SelectionHandle select,
const NXOpen::Selection::FilterTaggedObjectCallback filterproc,
const NXOpen::Selection::TaggedObjectSelectionCallback selcb 
)

Specify selection filter callback for additional filtering of tagged objects based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed.

Both the filter callback and the selection callback are passed object to SelectionHandle which can be used to inquire other selection data or modify selection. This selection handle tagged object is no longer valid after the filter callback or selection callback is exited.


Created in NX7.5.4.

License requirements : None

Parameters
selectSelection handle
filterprocFilter callback for additional user specific filtering.
selcbSelection callback for application specific processing.
tag_t NXOpen::Selection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.